UNAME(1)

NAME
uname - write system information

SYNOPSIS
uname [-amnprstv]

DESCRIPTION
uname writes the system information specified by its options. If no options were passed, uname writes the kernel name.

The options are as follows:

-a  Write all available information.

-m, --machine
    Write the system architecture.

-n, --nodename
    Write the network node name.

-p, --processor
    Write the processor architecture.

-r, --kernel-release
    Write the kernel release version.

-s, --kernel-name
    Write the kernel name.

-t, --tagline
    Write the release tagline.

-v, --kernel-version
    Write the kernel build date.

EXIT STATUS
uname will exit 0 on success and non-zero otherwise.

SEE ALSO
kernelinfo(1), uname(2), machine(5), sortix-release(5)